petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetNumLocalSubDomains

Sets the number of local subdomains created upon decomposition.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetNumLocalSubDomains(DM da,PetscInt Nsub)

Not collective

### Input Parameters

| da | - The DMDA
| Nsub | - The number of local subdomains requested

### Keywords

distributed array, domain decomposition

### See Also

DMDACreateDomainDecomposition(), DMDAGetNumLocalSubDomains(), DMDA

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages